Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.async.transform.internal
[Groovy] Class DelegateAsyncUtils

    java.lang.Object
      org.grails.async.transform.internal.DelegateAsyncUtils

    @groovy.transform.CompileStatic
    class DelegateAsyncUtils
    extends java.lang.Object

Helps looking up the decorators

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`static java.util.Collection` | `getPromiseDecorators(java.lang.Object target, java.util.Collection additional)` Obtains all PromiseDecorator instances for the target and additional decorators supplied

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getPromiseDecorators

    static java.util.Collection getPromiseDecorators(java.lang.Object target, java.util.Collection additional)

  Obtains all PromiseDecorator instances for the target and additional decorators supplied
  Parameters:
    `target` - The target
    `additional` - The additional
  Returns:
    The additional promise decorators

Groovy Documentation